package com.zehong.system.service.impl.tradeRoles;

import com.zehong.system.domain.TTradeProject;

public abstract class TradeRolesAbstract implements TradeRoles{

    /**交易实体*/
    protected TTradeProject tTradeProject;

    /**交易状态枚举类*/
    protected enum TradeStatusEnum{

        evaluate("0"),confirm("1"),approval("2"),complete("3"),reject("4");

        private final String tradeStatus;

        TradeStatusEnum(String tradeStatus) {
            this.tradeStatus = tradeStatus;
        }

        public String getTradeStatus() {
            return tradeStatus;
        }
    }

    public TradeRolesAbstract(TTradeProject tTradeProject){
        this.tTradeProject = tTradeProject;
    }

}
